---
title: Get incident integration metadata details
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Incidents
---

# Get incident integration metadata details{% #get-incident-integration-metadata-details %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in public beta. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                                          |
| ----------------- | --------------------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/relationships/integrations/{integration_metadata_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/relationships/integrations/{integration_metadata_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/incidents/{incident_id}/relationships/integrations/{integration_metadata_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/incidents/{incident_id}/relationships/integrations/{integration_metadata_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/relationships/integrations/{integration_metadata_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/incidents/{incident_id}/relationships/integrations/{integration_metadata_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/relationships/integrations/{integration_metadata_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/relationships/integrations/{integration_metadata_id} |

### Overview

Get incident integration metadata details.

OAuth apps require the `incident_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#incidents) to access this endpoint.



### Arguments

#### Path Parameters

| Name                                      | Type   | Description                                    |
| ----------------------------------------- | ------ | ---------------------------------------------- |
| incident_id [*required*]             | string | The UUID of the incident.                      |
| integration_metadata_id [*required*] | string | The UUID of the incident integration metadata. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response with an incident integration metadata.

| Parent field          | Field                              | Type            | Description                                                                                                                                                                                                  |
| --------------------- | ---------------------------------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
|                       | data [*required*]             | object          | Incident integration metadata from a response.                                                                                                                                                               |
| data                  | attributes                         | object          | Incident integration metadata's attributes for a create request.                                                                                                                                             |
| attributes            | created                            | date-time       | Timestamp when the incident todo was created.                                                                                                                                                                |
| attributes            | incident_id                        | string          | UUID of the incident this integration metadata is connected to.                                                                                                                                              |
| attributes            | integration_type [*required*] | int32           | A number indicating the type of integration this metadata is for. 1 indicates Slack; 7 indicates Microsoft Teams; 8 indicates Jira.                                                                          |
| attributes            | metadata [*required*]         |  <oneOf>   | Incident integration metadata's metadata attribute.                                                                                                                                                          |
| metadata              | Option 1                           | object          | Incident integration metadata for the Slack integration.                                                                                                                                                     |
| Option 1              | channels [*required*]         | [object]        | Array of Slack channels in this integration metadata.                                                                                                                                                        |
| channels              | channel_id [*required*]       | string          | Slack channel ID.                                                                                                                                                                                            |
| channels              | channel_name [*required*]     | string          | Name of the Slack channel.                                                                                                                                                                                   |
| channels              | redirect_url [*required*]     | string          | URL redirecting to the Slack channel.                                                                                                                                                                        |
| channels              | team_id                            | string          | Slack team ID.                                                                                                                                                                                               |
| metadata              | Option 2                           | object          | Incident integration metadata for the Jira integration.                                                                                                                                                      |
| Option 2              | issues [*required*]           | [object]        | Array of Jira issues in this integration metadata.                                                                                                                                                           |
| issues                | account [*required*]          | string          | URL of issue's Jira account.                                                                                                                                                                                 |
| issues                | issue_key                          | string          | Jira issue's issue key.                                                                                                                                                                                      |
| issues                | issuetype_id                       | string          | Jira issue's issue type.                                                                                                                                                                                     |
| issues                | project_key [*required*]      | string          | Jira issue's project keys.                                                                                                                                                                                   |
| issues                | redirect_url                       | string          | URL redirecting to the Jira issue.                                                                                                                                                                           |
| metadata              | Option 3                           | object          | Incident integration metadata for the Microsoft Teams integration.                                                                                                                                           |
| Option 3              | teams [*required*]            | [object]        | Array of Microsoft Teams in this integration metadata.                                                                                                                                                       |
| teams                 | ms_channel_id [*required*]    | string          | Microsoft Teams channel ID.                                                                                                                                                                                  |
| teams                 | ms_channel_name [*required*]  | string          | Microsoft Teams channel name.                                                                                                                                                                                |
| teams                 | ms_tenant_id [*required*]     | string          | Microsoft Teams tenant ID.                                                                                                                                                                                   |
| teams                 | redirect_url [*required*]     | string          | URL redirecting to the Microsoft Teams channel.                                                                                                                                                              |
| attributes            | modified                           | date-time       | Timestamp when the incident todo was last modified.                                                                                                                                                          |
| attributes            | status                             | int32           | A number indicating the status of this integration metadata. 0 indicates unknown; 1 indicates pending; 2 indicates complete; 3 indicates manually created; 4 indicates manually updated; 5 indicates failed. |
| data                  | id [*required*]               | string          | The incident integration metadata's ID.                                                                                                                                                                      |
| data                  | relationships                      | object          | The incident's integration relationships from a response.                                                                                                                                                    |
| relationships         | created_by_user                    | object          | Relationship to user.                                                                                                                                                                                        |
| created_by_user       | data [*required*]             | object          | Relationship to user object.                                                                                                                                                                                 |
| data                  | id [*required*]               | string          | A unique identifier that represents the user.                                                                                                                                                                |
| data                  | type [*required*]             | enum            | Users resource type. Allowed enum values: `users`                                                                                                                                                            |
| relationships         | last_modified_by_user              | object          | Relationship to user.                                                                                                                                                                                        |
| last_modified_by_user | data [*required*]             | object          | Relationship to user object.                                                                                                                                                                                 |
| data                  | id [*required*]               | string          | A unique identifier that represents the user.                                                                                                                                                                |
| data                  | type [*required*]             | enum            | Users resource type. Allowed enum values: `users`                                                                                                                                                            |
| data                  | type [*required*]             | enum            | Integration metadata resource type. Allowed enum values: `incident_integrations`                                                                                                                             |
|                       | included                           | [ <oneOf>] | Included related resources that the user requested.                                                                                                                                                          |
| included              | Option 1                           | object          | User object returned by the API.                                                                                                                                                                             |
| Option 1              | attributes                         | object          | Attributes of user object returned by the API.                                                                                                                                                               |
| attributes            | created_at                         | date-time       | The ISO 8601 timestamp of when the user account was created.                                                                                                                                                 |
| attributes            | disabled                           | boolean         | Whether the user account is deactivated. Disabled users cannot log in.                                                                                                                                       |
| attributes            | email                              | string          | The email address of the user, used for login and notifications.                                                                                                                                             |
| attributes            | handle                             | string          | The unique handle (username) of the user, typically matching their email prefix.                                                                                                                             |
| attributes            | icon                               | string          | URL of the user's profile icon, typically a Gravatar URL derived from the email address.                                                                                                                     |
| attributes            | last_login_time                    | date-time       | The ISO 8601 timestamp of the user's most recent login, or null if the user has never logged in.                                                                                                             |
| attributes            | mfa_enabled                        | boolean         | Whether multi-factor authentication (MFA) is enabled for the user's account.                                                                                                                                 |
| attributes            | modified_at                        | date-time       | The ISO 8601 timestamp of when the user account was last modified.                                                                                                                                           |
| attributes            | name                               | string          | The full display name of the user as shown in the Datadog UI.                                                                                                                                                |
| attributes            | service_account                    | boolean         | Whether this is a service account rather than a human user. Service accounts are used for programmatic API access.                                                                                           |
| attributes            | status                             | string          | The current status of the user account (for example, `Active`, `Pending`, or `Disabled`).                                                                                                                    |
| attributes            | title                              | string          | The job title of the user (for example, "Senior Engineer" or "Product Manager").                                                                                                                             |
| attributes            | uuid                               | string          | The globally unique identifier (UUID) of the user.                                                                                                                                                           |
| attributes            | verified                           | boolean         | Whether the user's email address has been verified.                                                                                                                                                          |
| Option 1              | id                                 | string          | ID of the user.                                                                                                                                                                                              |
| Option 1              | relationships                      | object          | Relationships of the user object returned by the API.                                                                                                                                                        |
| relationships         | org                                | object          | Relationship to an organization.                                                                                                                                                                             |
| org                   | data [*required*]             | object          | Relationship to organization object.                                                                                                                                                                         |
| data                  | id [*required*]               | string          | ID of the organization.                                                                                                                                                                                      |
| data                  | type [*required*]             | enum            | Organizations resource type. Allowed enum values: `orgs`                                                                                                                                                     |
| relationships         | other_orgs                         | object          | Relationship to organizations.                                                                                                                                                                               |
| other_orgs            | data [*required*]             | [object]        | Relationships to organization objects.                                                                                                                                                                       |
| data                  | id [*required*]               | string          | ID of the organization.                                                                                                                                                                                      |
| data                  | type [*required*]             | enum            | Organizations resource type. Allowed enum values: `orgs`                                                                                                                                                     |
| relationships         | other_users                        | object          | Relationship to users.                                                                                                                                                                                       |
| other_users           | data [*required*]             | [object]        | Relationships to user objects.                                                                                                                                                                               |
| data                  | id [*required*]               | string          | A unique identifier that represents the user.                                                                                                                                                                |
| data                  | type [*required*]             | enum            | Users resource type. Allowed enum values: `users`                                                                                                                                                            |
| relationships         | roles                              | object          | Relationship to roles.                                                                                                                                                                                       |
| roles                 | data                               | [object]        | An array containing type and the unique identifier of a role.                                                                                                                                                |
| data                  | id                                 | string          | The unique identifier of the role.                                                                                                                                                                           |
| data                  | type                               | enum            | Roles type. Allowed enum values: `roles`                                                                                                                                                                     |
| Option 1              | type                               | enum            | Users resource type. Allowed enum values: `users`                                                                                                                                                            |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "created": "2019-09-19T10:00:00.000Z",
      "incident_id": "00000000-aaaa-0000-0000-000000000000",
      "integration_type": 1,
      "metadata": {
        "channels": [
          {
            "channel_id": "C0123456789",
            "channel_name": "#example-channel-name",
            "redirect_url": "https://slack.com/app_redirect?channel=C0123456789\u0026team=T01234567",
            "team_id": "T01234567"
          }
        ]
      },
      "modified": "2019-09-19T10:00:00.000Z",
      "status": "integer"
    },
    "id": "00000000-0000-0000-1234-000000000000",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      }
    },
    "type": "incident_integrations"
  },
  "included": [
    {
      "attributes": {
        "created_at": "2019-09-19T10:00:00.000Z",
        "disabled": false,
        "email": "string",
        "handle": "string",
        "icon": "string",
        "last_login_time": "2019-09-19T10:00:00.000Z",
        "mfa_enabled": false,
        "modified_at": "2019-09-19T10:00:00.000Z",
        "name": "string",
        "service_account": false,
        "status": "string",
        "title": "string",
        "uuid": "string",
        "verified": false
      },
      "id": "string",
      "relationships": {
        "org": {
          "data": {
            "id": "00000000-0000-beef-0000-000000000000",
            "type": "orgs"
          }
        },
        "other_orgs": {
          "data": [
            {
              "id": "00000000-0000-beef-0000-000000000000",
              "type": "orgs"
            }
          ]
        },
        "other_users": {
          "data": [
            {
              "id": "00000000-0000-0000-2345-000000000000",
              "type": "users"
            }
          ]
        },
        "roles": {
          "data": [
            {
              "id": "3653d3c6-0c75-11ea-ad28-fb5701eabc7d",
              "type": "roles"
            }
          ]
        }
      },
      "type": "users"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export incident_id="CHANGE_ME" export integration_metadata_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/incidents/${incident_id}/relationships/integrations/${integration_metadata_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get incident integration metadata details returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.incidents_api import IncidentsApi

# there is a valid "incident" in the system
INCIDENT_DATA_ID = environ["INCIDENT_DATA_ID"]

# the "incident" has an "incident_integration_metadata"
INCIDENT_INTEGRATION_METADATA_DATA_ID = environ["INCIDENT_INTEGRATION_METADATA_DATA_ID"]

configuration = Configuration()
configuration.unstable_operations["get_incident_integration"] = True
with ApiClient(configuration) as api_client:
    api_instance = IncidentsApi(api_client)
    response = api_instance.get_incident_integration(
        incident_id=INCIDENT_DATA_ID,
        integration_metadata_id=INCIDENT_INTEGRATION_METADATA_DATA_ID,
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Get incident integration metadata details returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.get_incident_integration".to_sym] = true
end
api_instance = DatadogAPIClient::V2::IncidentsAPI.new

# there is a valid "incident" in the system
INCIDENT_DATA_ID = ENV["INCIDENT_DATA_ID"]

# the "incident" has an "incident_integration_metadata"
INCIDENT_INTEGRATION_METADATA_DATA_ID = ENV["INCIDENT_INTEGRATION_METADATA_DATA_ID"]
p api_instance.get_incident_integration(INCIDENT_DATA_ID, INCIDENT_INTEGRATION_METADATA_DATA_ID)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Get incident integration metadata details returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "incident" in the system
	IncidentDataID := os.Getenv("INCIDENT_DATA_ID")

	// the "incident" has an "incident_integration_metadata"
	IncidentIntegrationMetadataDataID := os.Getenv("INCIDENT_INTEGRATION_METADATA_DATA_ID")

	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.GetIncidentIntegration", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewIncidentsApi(apiClient)
	resp, r, err := api.GetIncidentIntegration(ctx, IncidentDataID, IncidentIntegrationMetadataDataID)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `IncidentsApi.GetIncidentIntegration`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `IncidentsApi.GetIncidentIntegration`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Get incident integration metadata details returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.IncidentsApi;
import com.datadog.api.client.v2.model.IncidentIntegrationMetadataResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.getIncidentIntegration", true);
    IncidentsApi apiInstance = new IncidentsApi(defaultClient);

    // there is a valid "incident" in the system
    String INCIDENT_DATA_ID = System.getenv("INCIDENT_DATA_ID");

    // the "incident" has an "incident_integration_metadata"
    String INCIDENT_INTEGRATION_METADATA_DATA_ID =
        System.getenv("INCIDENT_INTEGRATION_METADATA_DATA_ID");

    try {
      IncidentIntegrationMetadataResponse result =
          apiInstance.getIncidentIntegration(
              INCIDENT_DATA_ID, INCIDENT_INTEGRATION_METADATA_DATA_ID);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling IncidentsApi#getIncidentIntegration");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Get incident integration metadata details returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_incidents::IncidentsAPI;

#[tokio::main]
async fn main() {
    // there is a valid "incident" in the system
    let incident_data_id = std::env::var("INCIDENT_DATA_ID").unwrap();

    // the "incident" has an "incident_integration_metadata"
    let incident_integration_metadata_data_id =
        std::env::var("INCIDENT_INTEGRATION_METADATA_DATA_ID").unwrap();
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.GetIncidentIntegration", true);
    let api = IncidentsAPI::with_config(configuration);
    let resp = api
        .get_incident_integration(
            incident_data_id.clone(),
            incident_integration_metadata_data_id.clone(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Get incident integration metadata details returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.getIncidentIntegration"] = true;
const apiInstance = new v2.IncidentsApi(configuration);

// there is a valid "incident" in the system
const INCIDENT_DATA_ID = process.env.INCIDENT_DATA_ID as string;

// the "incident" has an "incident_integration_metadata"
const INCIDENT_INTEGRATION_METADATA_DATA_ID = process.env
  .INCIDENT_INTEGRATION_METADATA_DATA_ID as string;

const params: v2.IncidentsApiGetIncidentIntegrationRequest = {
  incidentId: INCIDENT_DATA_ID,
  integrationMetadataId: INCIDENT_INTEGRATION_METADATA_DATA_ID,
};

apiInstance
  .getIncidentIntegration(params)
  .then((data: v2.IncidentIntegrationMetadataResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
